package com.nationrel.modules.pdsc.enums;

import org.jeecg.common.system.annotation.EnumDict;
import org.jeecg.common.system.vo.DictModel;

import java.util.ArrayList;
import java.util.List;

/**
 * CTQ类型
 */
@EnumDict("pdscCTQTypeEnum")
public enum CTQTypeEnum {

    NORMAL("normal", "正常"),
    THREE_POINT_TEST("threePointTest", "三点测试"),
    ABNORMAL("abnormal", "非正常"),
    ;

    CTQTypeEnum(String type, String description) {
        this.type = type;
        this.description = description;
    }

    /**
     * 分析类型
     */
    String type;

    /**
     * 类型描述
     */
    String description;

    public String getNote() {
        return description;
    }

    public void setNote(String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    /**
     * 获取字典数据
     */
    public static List<DictModel> getDictList() {
        List<DictModel> list = new ArrayList<>();
        DictModel dictModel = null;
        for (CTQTypeEnum e : CTQTypeEnum.values()) {
            dictModel = new DictModel();
            dictModel.setValue(e.getType());
            dictModel.setText(e.getNote());
            list.add(dictModel);
        }
        return list;
    }

    /**
     * 根据type获取枚举
     *
     * @param type
     */
    public static CTQTypeEnum valueOfType(String type) {
        for (CTQTypeEnum e : CTQTypeEnum.values()) {
            if (e.getType().equals(type)) {
                return e;
            }
        }
        return null;
    }

}
